%global __cmake_in_source_build 1
%global real_name SVT-AV1

Name:           compat-svt-av10.9
Version:        0.9.1
Release:        1%{?dist}
Summary:        Scalable Video Technology for AV1 Encoder / Decoder
License:        BSD-3-Clause
URL:            https://gitlab.com/AOMediaCodec/%{real_name}

Source0:        %{url}/-/archive/v%{version}/%{real_name}-v%{version}.tar.bz2

BuildRequires:  cmake
BuildRequires:  gcc-c++
BuildRequires:  yasm

%description
The Scalable Video Technology for AV1 (SVT-AV1 Encoder and Decoder) is an AV1
compliant encoder/decoder library core. The SVT-AV1 encoder development is a
work-in-progress targeting performance levels applicable to both VOD and Live
encoding / transcoding video applications. The SVT-AV1 decoder implementation is
targeting future codec research activities.

%package        libs
Summary:        %{name} libraries

%description    libs
Scalable Video Technology for AV1 (SVT-AV1 Encoder and Decoder) libraries.

%prep
%autosetup -p1 -n %{real_name}-v%{version}

%build
export LDFLAGS="%build_ldflags -Wl,-znoexecstack"

# Do not use 'Release' build or it hardcodes compiler settings:
%cmake -DCMAKE_BUILD_TYPE='Fedora'
%cmake_build

%install
%cmake_install

rm -rf  %{buildroot}%{_bindir}/SvtAv1*
rm -rf  %{buildroot}%{_includedir}/svt-av1
rm -rf  %{buildroot}%{_libdir}/libSvtAv1Dec.so.*
rm -rf  %{buildroot}%{_libdir}/libSvtAv1*.so
rm -rf  %{buildroot}%{_libdir}/pkgconfig

%files libs
%license LICENSE.md
%{_libdir}/libSvtAv1Enc.so.%{version}
%{_libdir}/libSvtAv1Enc.so.0

%changelog
* Mon Dec 02 2024 Jean-Marc Liger <ligenix@iscp.fr> - 0.9.1-1
- Make 0.9.1 libs compat package

* Tue Jun 06 2023 Simone Caronni <negativo17@gmail.com> - 0.9.1-2
- Remove x86_64 exclusive.

* Sun Mar 13 2022 Simone Caronni <negativo17@gmail.com> - 0.9.1-1
- Update to 0.9.1.

* Wed Jan 26 2022 Simone Caronni <negativo17@gmail.com> - 0.9.0-2
- Move docs to devel subpackage.

* Tue Jan 25 2022 Simone Caronni <negativo17@gmail.com> - 0.9.0-1
- Update to 0.9.0.

* Sat Jul 24 2021 Simone Caronni <negativo17@gmail.com> - 0.8.7-1
- Update to 0.8.7.

* Fri Apr 30 2021 Simone Caronni <negativo17@gmail.com> - 0.8.6-6
- Switch sources to Gitlab.

* Mon Mar 01 2021 Simone Caronni <negativo17@gmail.com> - 0.8.6-5
- Backport fixes from Fedora.
- Bump release to be newer than the official Fedora packages.

* Mon Dec 21 2020 Simone Caronni <negativo17@gmail.com> - 0.8.6-1
- Update to 0.8.6.

* Thu Nov 26 2020 Simone Caronni <negativo17@gmail.com> - 0.8.5-1
- First build, make it build also on CentOS/RHEL 7 with rebased GStreamer.
